//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Core/Contrib/GISASSpecularContribution.h
//! @brief     Defines class GISASSpecularContribution.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_CORE_CONTRIB_GISASSPECULARCONTRIBUTION_H
#define BORNAGAIN_CORE_CONTRIB_GISASSPECULARCONTRIBUTION_H

class DiffuseElement;

//! Computes the specular signal in the bin where q_parallel = 0. Used by DWBAComputation.

class GISASSpecularContribution final {
public:
    GISASSpecularContribution();

    void compute(DiffuseElement& ele) const;
};

#endif // BORNAGAIN_CORE_CONTRIB_GISASSPECULARCONTRIBUTION_H
#endif // USER_API
