//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Items/SessionGraphicsItem.cpp
//! @brief     Implements class SessionGraphicsItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Items/SessionGraphicsItem.h"

SessionGraphicsItem::SessionGraphicsItem(const QString& model_type) : SessionItem(model_type)
{
    addProperty(P_XPOS, qreal(0.0))->setVisible(false);
    addProperty(P_YPOS, qreal(0.0))->setVisible(false);
}

double SessionGraphicsItem::xPos() const
{
    return getItemValue(P_XPOS).toDouble();
}

void SessionGraphicsItem::setXPos(double x_pos)
{
    setItemValue(P_XPOS, x_pos);
}

bool SessionGraphicsItem::isXPosPropertyName(const QString& name)
{
    return name == P_XPOS;
}

double SessionGraphicsItem::yPos() const
{
    return getItemValue(P_YPOS).toDouble();
}

void SessionGraphicsItem::setYPos(double y_pos)
{
    setItemValue(P_YPOS, y_pos);
}

bool SessionGraphicsItem::isYPosPropertyName(const QString& name)
{
    return name == P_YPOS;
}
