//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Models/Data/DocumentModel.cpp
//! @brief     Implements class DocumentModel
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Models/Data/DocumentModel.h"
#include "GUI/Items/SimulationOptionsItem.h"

DocumentModel::DocumentModel(QObject* parent)
    : SessionModel(GUI::Session::XML::DocumentModelTag, parent)
{
    setObjectName(GUI::Session::XML::DocumentModelTag);
}

SimulationOptionsItem* DocumentModel::simulationOptionsItem()
{
    return topItem<SimulationOptionsItem>();
}
