//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/FitWidgets/JobRealTimeToolBar.h
//! @brief     Defines class JobRealTimeToolBar
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_FITWIDGETS_JOBREALTIMETOOLBAR_H
#define BORNAGAIN_GUI_VIEWS_FITWIDGETS_JOBREALTIMETOOLBAR_H

#include "GUI/CommonWidgets/StyledToolBar.h"

class QToolButton;

//! Represents a toolbar with buttons for ParameterTuningWidget.

class JobRealTimeToolBar : public StyledToolBar {
    Q_OBJECT

public:
    explicit JobRealTimeToolBar(QWidget* parent = nullptr);

signals:
    void resetParameters();

private:
    QToolButton* m_resetParametersButton;
};

#endif // BORNAGAIN_GUI_VIEWS_FITWIDGETS_JOBREALTIMETOOLBAR_H
