//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/InstrumentWidgets/OffSpecularBeamEditor.h
//! @brief     Defines class OffSpecularBeamEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_OFFSPECULARBEAMEDITOR_H
#define BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_OFFSPECULARBEAMEDITOR_H

#include <QWidget>

class DistributionEditor;
class OffSpecularInstrumentItem;
class SphericalAxisEditor;

class QLineEdit;

//! Off-specular beam editor. Operates on OffSpecularInstrumentItem

class OffSpecularBeamEditor : public QWidget {
    Q_OBJECT

public:
    OffSpecularBeamEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(OffSpecularInstrumentItem* item);

private slots:
    void onEditingFinished();

private:
    QLineEdit* m_intensityEditor;
    DistributionEditor* m_wavelengthEditor;
    SphericalAxisEditor* m_inclinationEditor;
    DistributionEditor* m_azimuthalEditor;
    OffSpecularInstrumentItem* m_item;
};

#endif // BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_OFFSPECULARBEAMEDITOR_H
