//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/InstrumentWidgets/SphericalDetectorEditor.h
//! @brief     Defines class SphericalDetectorEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_SPHERICALDETECTOREDITOR_H
#define BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_SPHERICALDETECTOREDITOR_H

#include <QWidget>

class ResolutionFunctionEditor;
class SphericalAxisEditor;
class SphericalDetectorItem;

class SphericalDetectorEditor : public QWidget {
    Q_OBJECT

public:
    SphericalDetectorEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(SphericalDetectorItem* item);

private:
    SphericalAxisEditor* m_phiAxisEditor;
    SphericalAxisEditor* m_alphaAxisEditor;
    ResolutionFunctionEditor* m_resolutionFunctionEditor;
};

#endif // BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_SPHERICALDETECTOREDITOR_H
