//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/RealSpaceWidgets/RealSpace2DParacrystalUtils.h
//! @brief     Defines namespace GUI::RealSpace::Paracrystal2D.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_REALSPACEWIDGETS_REALSPACE2DPARACRYSTALUTILS_H
#define BORNAGAIN_GUI_VIEWS_REALSPACEWIDGETS_REALSPACE2DPARACRYSTALUTILS_H

#include <vector>

class Interference2DParaCrystal;

namespace GUI::RealSpace::Paracrystal2D {

std::vector<std::vector<double>> latticePositions(const Interference2DParaCrystal*,
                                                  double layer_size);

}

#endif // BORNAGAIN_GUI_VIEWS_REALSPACEWIDGETS_REALSPACE2DPARACRYSTALUTILS_H
