//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/SampleDesigner/DesignerMimeData.h
//! @brief     Defines class DesignerMimeData
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_DESIGNERMIMEDATA_H
#define BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_DESIGNERMIMEDATA_H

#include <QMimeData>

class QDrag;

//! Mime data for use with SampleDesigner drag and drop operations
class DesignerMimeData : public QMimeData {
    Q_OBJECT
public:
    DesignerMimeData(const QString& className, QDrag* drag);

    //! Execute a drag and drop operation.
    static Qt::DropAction execDrag(const QString& className, QWidget* dragSource);

    QString getClassName() const;

private:
    QPixmap getPixmap(const QString& name);

    QString m_className;
};

#endif // BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_DESIGNERMIMEDATA_H
