//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/SampleDesigner/SampleToolBox.h
//! @brief     Defines class SampleToolBox
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_SAMPLETOOLBOX_H
#define BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_SAMPLETOOLBOX_H

#include <QWidget>

class SampleToolBoxTreeWidget;

//! ToolBox on the left side of SampleView
class SampleToolBox : public QWidget {
public:
    explicit SampleToolBox(QWidget* parent);

    virtual QSize minimumSizeHint() const override;

private:
    void fill();

private slots:
    void handleMousePress(const QString& title, const QString& className,
                          const QPoint& globalMousePos);

private:
    SampleToolBoxTreeWidget* m_view;
};

#endif // BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_SAMPLETOOLBOX_H
